Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.stream.codec
Class AACAudio

    java.lang.Object
      org.red5.server.stream.codec.AACAudio

All Implemented Interfaces:
  IAudioStreamCodec

    public class AACAudio

extends Object
implements IAudioStreamCodec

Red5 audio codec for the AAC audio format. Stores the decoder configuration

Author:
  Paul Gregoire (mondain@gmail.com), Wittawas Nakkasem (vittee@hotmail.com)

Field Summary
`static int[]` | `AAC_SAMPLERATES`

Constructor Summary
`AACAudio()` Constructs a new AVCVideo.

Method Summary
`boolean` | `addData(IoBuffer data)` Update the state of the codec with the passed data.
`boolean` | `canHandleData(IoBuffer data)` Returns true if the codec knows how to handle the passed stream data.
`IoBuffer` | `getDecoderConfiguration()` Returns information used to configure the decoder.
`String` | `getName()`
`void` | `reset()` Reset the codec to its initial state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AAC_SAMPLERATES

    public static final int[] AAC_SAMPLERATES

Constructor Detail

### AACAudio

    public AACAudio()

  Constructs a new AVCVideo.

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `IAudioStreamCodec`
  Returns:
    the name of the audio codec.

### reset

    public void reset()

  Reset the codec to its initial state.

  Specified by:
    `reset` in interface `IAudioStreamCodec`

### canHandleData

    public boolean canHandleData(IoBuffer data)

  Returns true if the codec knows how to handle the passed stream data.

  Specified by:
    `canHandleData` in interface `IAudioStreamCodec`
  Parameters:
    `data` - some sample data to see if this codec can handle it.
  Returns:
    can this code handle the data.

### addData

    public boolean addData(IoBuffer data)

  Update the state of the codec with the passed data.

  Specified by:
    `addData` in interface `IAudioStreamCodec`
  Parameters:
    `data` - data to tell the codec we're adding
  Returns:
    true for success. false for error.

### getDecoderConfiguration

    public IoBuffer getDecoderConfiguration()

  Returns information used to configure the decoder.

  Specified by:
    `getDecoderConfiguration` in interface `IAudioStreamCodec`
  Returns:
    the data for decoder setup.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project